aboutsummaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh75
1 files changed, 68 insertions, 7 deletions
diff --git a/update.sh b/update.sh
index d9c83b4..548c5e2 100755
--- a/update.sh
+++ b/update.sh
@@ -1,12 +1,43 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
+##
+## Updates bin files
+##
+fullprogrampath="$(realpath $0)"
+PROGRAM="$(basename $0)"
+descriptionString="Arching Kaos Tools Updater"
+
+source ./lib/_ak_log || source $AK_LIBDIR/_ak_log
-# Updates bin files
find $AK_BINDIR -type l | while read link
do
if [ ! -f $link ]
then
- echo "Non working link: $(basename $link) removing..."
+ _ak_log_info "Non working link: $(basename $link) removing..."
rm $link
+ if [ $? -ne 0 ]
+ then
+ _ak_log_warning "FAILED!"
+ else
+ _ak_log_info "Succeed!"
+ fi
fi
done
@@ -15,8 +46,14 @@ for b in $binfiles
do
if [ ! -L $AK_BINDIR/$b ]
then
- echo "Non existing link: $(basename $b) creating..."
+ _ak_log_info "Non existing link: $(basename $b) creating..."
ln -s $(pwd)/bin/$b $AK_BINDIR/$b
+ if [ $? -ne 0 ]
+ then
+ _ak_log_warning "FAILED!"
+ else
+ _ak_log_info "Succeed!"
+ fi
fi
done
@@ -25,8 +62,14 @@ find $AK_LIBDIR -type l | while read link
do
if [ ! -f $link ]
then
- echo "Non working link: $(basename $link) removing..."
+ _ak_log_info "Non working link: $(basename $link) removing..."
rm $link
+ if [ $? -ne 0 ]
+ then
+ _ak_log_warning "FAILED!"
+ else
+ _ak_log_info "Succeed!"
+ fi
fi
done
@@ -34,8 +77,14 @@ find $AK_MODULESDIR -type l | while read link
do
if [ ! -d $link ]
then
- echo "Non working link: $(basename $link) removing..."
+ _ak_log_info "Non working link: $(basename $link) removing..."
rm $link
+ if [ $? -ne 0 ]
+ then
+ _ak_log_warning "FAILED!"
+ else
+ _ak_log_info "Succeed!"
+ fi
fi
done
@@ -45,8 +94,14 @@ for l in $libfiles
do
if [ ! -L $AK_LIBDIR/$l ]
then
- echo "Non existing link: $(basename $l) creating..."
+ _ak_log_info "Non existing link: $(basename $l) creating..."
ln -s $(pwd)/lib/$l $AK_LIBDIR/$l
+ if [ $? -ne 0 ]
+ then
+ _ak_log_warning "FAILED!"
+ else
+ _ak_log_info "Succeed!"
+ fi
fi
done
@@ -56,7 +111,13 @@ for m in $modfiles
do
if [ ! -L $AK_MODULESDIR/$m ]
then
- echo "Non existing link: $(basename $m) creating..."
+ _ak_log_info "Non existing link: $(basename $m) creating..."
ln -s $(pwd)/modules/$m $AK_MODULESDIR/$m
+ if [ $? -ne 0 ]
+ then
+ _ak_log_warning "FAILED!"
+ else
+ _ak_log_info "Succeed!"
+ fi
fi
done